> For the complete documentation index, see [llms.txt](https://docs.ionos.com/terraform-provider/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/terraform-provider/data-sources/gpus.md).

# ionoscloud\_gpus

The **GPUs data source** can be used to retrieve a list of all GPUs attached to a specific server within a datacenter.

## Example Usage

```hcl
data "ionoscloud_gpus" "example" {
  datacenter_id = "datacenter_id"
  server_id     = "server_id"
}
```

## Argument Reference

* `datacenter_id` - (Required) The ID of the datacenter.
* `server_id` - (Required) The ID of the server.

## Attributes Reference

The following attributes are returned by the datasource:

* `gpus` - A list of GPUs. Each GPU has the following attributes:
  * `id` - The id of the GPU.
  * `name` - The name of the GPU.
  * `vendor` - The vendor of the GPU.
  * `type` - The type of the GPU.
  * `model` - The model of the GPU.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/gpus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
